# Record TCefScreenInfo

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefScreenInfo = record`

## Description

Screen information used when window rendering is disabled. This structure is passed as a parameter to ICefRenderHandler.GetScreenInfo and should be filled in by the client.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_screen_info_t))

## Overview

### Fields

| `size: NativeUInt;`
| `device_scale_factor: single;`
| `depth: integer;`
| `depth_per_component: integer;`
| `is_monochrome: integer;`
| `rect: TCefRect;`
| `available_rect: TCefRect;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `device_scale_factor: single;`
Device scale factor. Specifies the ratio between physical and logical pixels.

| `depth: integer;`
The screen depth in bits per pixel.

| `depth_per_component: integer;`
The bits per color component. This assumes that the colors are balanced equally.

| `is_monochrome: integer;`
This can be true for black and white printers.

| `rect: TCefRect;`
This is set from the rcMonitor member of MONITORINFOEX, to whit: "A RECT structure that specifies the display monitor rectangle, expressed in virtual-screen coordinates. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values." The |rect| and |available_rect| properties are used to determine the available surface for rendering popup views.

| `available_rect: TCefRect;`
This is set from the rcWork member of MONITORINFOEX, to whit: "A RECT structure that specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates. Windows uses this rectangle to maximize an application on the monitor. The rest of the area in rcMonitor contains system windows such as the task bar and side bars. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values". The |rect| and |available_rect| properties are used to determine the available surface for rendering popup views.

Generated by PasDoc 0.16.0-snapshot.